GET /certificates/{id}/actions

hetzner.cloud

Summary: Get all Actions for a Certificate
Operation ID:
Auth: unknown
Description

Returns all Action objects for a Certificate. You can sort the results by using the `sort` URI parameter, and filter them with the `status` parameter. Only type `managed` Certificates can have Actions. For type `uploaded` Certificates the `actions` key will always contain an empty array.

Parameters (3)

id (integer, path, required)

ID of the Resource

sort (string, query, optional)

Can be used multiple times.

Constraints: {'enum': ['id', 'id:asc', 'id:desc', 'command', 'command:asc', 'command:desc', 'status', 'status:asc', 'status:desc', 'progress', 'progress:asc', 'progress:desc', 'started', 'started:asc', 'started:desc', 'finished', 'finished:asc', 'finished:desc']}

status (string, query, optional)

Can be used multiple times, the response will contain only Actions with specified statuses

Constraints: {'enum': ['running', 'success', 'error']}

No probe data for this endpoint yet.